Package com.arms.api.util.dynamicscheduler.controller

## Class SchedulerController

- java.lang.Object
- - com.arms.api.util.dynamicscheduler.controller.SchedulerController

-     @RestController
      @RequestMapping("/arms/scheduler")
      public class SchedulerController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchedulerController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `cacheStatusMappingData()` |
    `void` | `executeIncrementalIssueSequentialSchedules()` |
    `void` | `executeIncrementalIssueWithDateRangeSequentialSchedules​(java.lang.String startDate, java.lang.String endDate)` |
    `void` | `executeSequentialSchedules()` |
    `void` | `retryFailedReqStatusCreationToElasticsearch()` |
    `void` | `updateReqStatusFromElasticsearch()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerController

          public SchedulerController()

  - ### Method Detail

    - #### executeSequentialSchedules

          @GetMapping("/pdservice/reqstatus/executeSequentialSchedules/storeToES")
          public void executeSequentialSchedules()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### executeIncrementalIssueSequentialSchedules

          @GetMapping("/pdservice/reqstatus/increment/executeSequentialSchedules/storeToES")
          public void executeIncrementalIssueSequentialSchedules()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### executeIncrementalIssueWithDateRangeSequentialSchedules

          @GetMapping("/pdservice/reqstatus/increment/executeSequentialSchedules/storeToES/withDateRange")
          public void executeIncrementalIssueWithDateRangeSequentialSchedules​(@RequestParam(value="startDate",required=false)
                                                                              java.lang.String startDate,
                                                                              @RequestParam(value="endDate",required=false)
                                                                              java.lang.String endDate)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqStatusFromElasticsearch

          @GetMapping("/pdservice/reqstatus/updateFromES")
          public void updateReqStatusFromElasticsearch()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### retryFailedReqStatusCreationToElasticsearch

          @GetMapping("/pdservice/reqstatus/recreateFailedReqIssue")
          public void retryFailedReqStatusCreationToElasticsearch()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### cacheStatusMappingData

          @PutMapping("/cacheStatusMappingData")
          public java.lang.String cacheStatusMappingData()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`